import { OnDestroy } from '@angular/core';
import { ITooltipData } from './tooltip.entities';
import * as i0 from "@angular/core";
export declare class TooltipService implements OnDestroy {
    private delayData$;
    tooltipData$: import("rxjs").Observable<ITooltipData>;
    private onDestroy$;
    static mouseOver$: import("rxjs").Observable<MouseEvent>;
    ngOnDestroy(): void;
    getMouseHoverObservable(element: Element): import("rxjs").Observable<MouseEvent>;
    showTooltip(tooltipData: ITooltipData): void;
    closeTooltip(): void;
    static isEventInElementRegion({ event, element }: {
        event: MouseEvent;
        element: Element;
    }): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TooltipService>;
}
